use arnalisa::bins::SourceSinkDescription;
use indexmap::IndexMap;

pub mod filesystem;
pub mod loadable_device;

pub use loadable_device::LoadableDevice;

#[derive(Clone, Debug)]
pub struct Calibration {
    pub bins: IndexMap<String, SourceSinkDescription>,
}

#[derive(Clone, Debug)]
pub struct Sampling {
    pub bins: IndexMap<String, SourceSinkDescription>,
}
