pub trait StorableDevice {
    type OmmuiStorableDevice: crate::ommui::StorableDevice;
    type SamplicStorableDevice: crate::samplic::StorableDevice;

    fn ommui_storable(&self) -> Self::OmmuiStorableDevice;
    fn samplic_storable(&self) -> Self::SamplicStorableDevice;
}
