use indexmap::IndexMap;
use xio_jobset::Job;

#[cfg(feature = "filesystem")]
pub mod filesystem;

mod loadable_device;

pub use loadable_device::LoadableDevice;

#[derive(Clone, Debug)]
pub struct Sampling {
    pub jobs: IndexMap<String, Job>,
}
